com.hazelcast.nio

## Enum ConnectionType

- java.lang.Object
- - java.lang.Enum<ConnectionType>
  - - com.hazelcast.nio.ConnectionType

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionType>

      @PrivateApi
      public enum ConnectionType
      extends Enum<ConnectionType>

  An enumeration of all possible Connection types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY_CLIENT`
    `CPP_CLIENT`
    `CSHARP_CLIENT`
    `GO_CLIENT`
    `JAVA_CLIENT`
    `MEMBER`
    `MEMCACHE_CLIENT`
    `NODEJS_CLIENT`
    `NONE`
    `PYTHON_CLIENT`
    `REST_CLIENT`
    `RUBY_CLIENT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isBinary()`
    `boolean` | `isClient()`
    `static ConnectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ConnectionType NONE

    - #### MEMBER

          public static final ConnectionType MEMBER

    - #### JAVA_CLIENT

          public static final ConnectionType JAVA_CLIENT

    - #### CSHARP_CLIENT

          public static final ConnectionType CSHARP_CLIENT

    - #### CPP_CLIENT

          public static final ConnectionType CPP_CLIENT

    - #### PYTHON_CLIENT

          public static final ConnectionType PYTHON_CLIENT

    - #### RUBY_CLIENT

          public static final ConnectionType RUBY_CLIENT

    - #### NODEJS_CLIENT

          public static final ConnectionType NODEJS_CLIENT

    - #### GO_CLIENT

          public static final ConnectionType GO_CLIENT

    - #### BINARY_CLIENT

          public static final ConnectionType BINARY_CLIENT

    - #### REST_CLIENT

          public static final ConnectionType REST_CLIENT

    - #### MEMCACHE_CLIENT

          public static final ConnectionType MEMCACHE_CLIENT

  - ### Method Detail

    - #### values

          public static ConnectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionType c : ConnectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isBinary

          public boolean isBinary()

    - #### isClient

          public boolean isClient()

Copyright © 2019. All rights reserved.